package com.jeeplus.modules.sg.financial.expense.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.echarts.web.scatter.ScatterSample1;

/**
 * 费用入账数据
 */
public class Expense extends ActEntity<Expense> {
    //项目名称
    private String projectName;
    //项目定义
    private String projectId;
    //项目批次
    private String projectBatch;
    //施工费合同折扣
    private Double constructionCost;
    //设计费合同折扣
    private Double designCost;
    //设计费典型设计折扣
    private Double designTypeicalCost;
    //监理费合同折扣
    private Double supervisionCost;
    //监理费典型折扣
    private Double supervisionTypeicalCost;
    //发文中设计费金额（不含税）
    private Double documentDesignCost;
    //发文中监理费金额（不含税）
    private Double documentSupervisionCost;

    private String status; //项目年份判断 0:2020及以后   1:2020以前
    private Double designFeePayable;//设计费应付金额
    private Double constructionFeePayable;//施工费应付金额
    private Double supervisorFeePayable;//监理费应付金额

    public Double getSupervisorFeePayable() {
        return supervisorFeePayable;
    }

    public void setSupervisorFeePayable(Double supervisorFeePayable) {
        this.supervisorFeePayable = supervisorFeePayable;
    }

    public Double getDesignFeePayable() {
        return designFeePayable;
    }

    public void setDesignFeePayable(Double designFeePayable) {
        this.designFeePayable = designFeePayable;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Double getConstructionFeePayable() {
        return constructionFeePayable;
    }

    public void setConstructionFeePayable(Double constructionFeePayable) {
        this.constructionFeePayable = constructionFeePayable;
    }

    @ExcelField(title="项目定义", align=2, sort=1)
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="项目批次", align=2, sort=3)
    public String getProjectBatch() {
        return projectBatch;
    }

    public void setProjectBatch(String projectBatch) {
        this.projectBatch = projectBatch;
    }

    @ExcelField(title="施工费合同折扣", align=2, sort=4)
    public Double getConstructionCost() {
        return constructionCost;
    }

    public void setConstructionCost(Double constructionCost) {
        this.constructionCost = constructionCost;
    }

    @ExcelField(title="设计费合同折扣", align=2, sort=5)
    public Double getDesignCost() {
        return designCost;
    }

    public void setDesignCost(Double designCost) {
        this.designCost = designCost;
    }

    @ExcelField(title="设计费典型设计折扣", align=2, sort=6)
    public Double getDesignTypeicalCost() {
        return designTypeicalCost;
    }

    public void setDesignTypeicalCost(Double designTypeicalCost) {
        this.designTypeicalCost = designTypeicalCost;
    }

    @ExcelField(title="监理费合同折扣", align=2, sort=7)
    public Double getSupervisionCost() {
        return supervisionCost;
    }

    public void setSupervisionCost(Double supervisionCost) {
        this.supervisionCost = supervisionCost;
    }

    @ExcelField(title="监理费典型折扣", align=2, sort=8)
    public Double getSupervisionTypeicalCost() {
        return supervisionTypeicalCost;
    }

    public void setSupervisionTypeicalCost(Double supervisionTypeicalCost) {
        this.supervisionTypeicalCost = supervisionTypeicalCost;
    }

    @ExcelField(title="发文中设计费金额（不含税）", align=2, sort=9)
    public Double getDocumentDesignCost() {
        return documentDesignCost;
    }

    public void setDocumentDesignCost(Double documentDesignCost) {
        this.documentDesignCost = documentDesignCost;
    }

    @ExcelField(title="发文中监理费金额（不含税）", align=2, sort=10)
    public Double getDocumentSupervisionCost() {
        return documentSupervisionCost;
    }

    public void setDocumentSupervisionCost(Double documentSupervisionCost) {
        this.documentSupervisionCost = documentSupervisionCost;
    }
}
